[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TPage.Destroy

Destructor for the class instance.

## Declaration

Source position: extctrls.pp line 55

`public destructor TPage.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy ensures that the page is also removed from the page list maintained in the Parent control (TNotebook). The action is not performed when the Parent control has csDestroying in its ComponentState, or when Parent has not been assigned.

Destroy calls the inherited destructor prior to exiting from the method.